--EVERY FRAME
function()
    return true
end

--DURATION
function()
    local maxAP = 10
    local AP = 0
    for i = 1, 40 do
        local spellID = select(11, UnitBuff("player", i)) -- don't know which return arg it is
        if spellID == 214572 then
            local AP = select(4, UnitBuff("player", i))
            return maxAP - AP, maxAP, 1
        end
    end
end